// Testprogramm fr Fensterereignisse

import javax.swing.*;
import java.awt.*;
import java.awt.event.*;

public class FensterEreignisse extends JFrame {

   public FensterEreignisse () {
      super("Fenster mit Ereignissen") ;
      setSize(300, 200);
      setLocation(100, 100);
      setDefaultCloseOperation(JFrame.DO_NOTHING_ON_CLOSE) ;
      // Listener anmelden (registrieren)
      addWindowListener(new FensterListener());

      setVisible(true);
   }

   public class FensterListener implements WindowListener {
      // Methoden des WindowListener:
      // Fenster wird geschlossen
      public void windowClosing(WindowEvent e) {
         // setBackground(Color.green) ;
         // setTitle("Fenster schliessen .... !") ;
         System.out.println("Ereignis :  " + e.toString()) ;
         // setVisible(false);
         dispose();
         System.exit(0);
      }

      // Fenster wurde aktiviert, deaktiviert
      public void windowActivated(WindowEvent e) {
         setBackground(Color.red) ;
         System.out.println("Ereignis :  " + e.toString()) ;
      }

      public void windowDeactivated(WindowEvent e) {
         setBackground(Color.lightGray) ;
         System.out.println("Ereignis :  " + e.toString()) ;
       }

      // Fenster wurde zum Icon verkleinert, wieder vergrert
      public void windowDeiconified(WindowEvent e) {
         setTitle("Ich bin wieder gross!!!!") ;
         System.out.println("Ereignis :  " + e.toString()) ;
      }

      public void windowIconified(WindowEvent e) {
         System.out.println("Jetzt bin ich ganz klein ....!") ;
         System.out.println("Ereignis :  " + e.toString()) ;
      }

      // Fenster wurde geffnet, geschlossen
      public void windowOpened(WindowEvent e) {
         System.out.println("Fenster ist geffnet ....!") ;
         System.out.println("Ereignis :  " + e.toString()) ;
      }

      public void windowClosed(WindowEvent e) {
         System.out.println("Fenster geschlossen!") ;
         System.out.println("Ereignis :  " + e.toString()) ;
         // System.exit(0);
      }
   }
   
   public static void main(String[] args) {
      FensterEreignisse fenster = new FensterEreignisse();
      System.out.println("Main-Programm beendet!") ;
   }

}
